<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div>
  <div class="d-flex">
    <div class="pps-header">
      <a class="style-font" style="font-size: 28px;">บันทึกผู้ดำเนินการ</a>
    </div>
    <button type="button" class="btn btn-primary create-po" (click)="openSimpleDialog()">
      <!-- data-toggle="modal"
    data-target="#exampleModalCenter" -->
      เพิ่มผู้ดำเนินการ
    </button>
  </div>
  <p class="pps-header_th">
    สามารถเพิ่มหรือลบข้อมูลบันทึกผู้ดำเนินการในกระบวนการต่างๆได้
  </p>
</div>
<br />
<h4 class="style-font"><B>รายการบันทึกผู้ดำเนินการ</B></h4>
<br />
<div class="card">
  <label class="creater"><B>ผู้จัดทำใบคำขอหลัก (Creater)</B>
    <div class=" _active" *ngIf="get_role === 'Compliance' && get_level === 'แอดมิน' && role_list_length !== 0">
      <span class="status-icon">
        รอดำเนินการ {{role_list_length}} ฝ่าย
      </span>
    </div>
  </label>
  <hr />
  <div class="table-responsives">
    <table mat-table [dataSource]="dataSource">
      <ng-container matColumnDef="userId" sticky>
        <th mat-header-cell *matHeaderCellDef>
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">รหัสพนักงาน</div>
            <div class="sticky-col-2">ชื่อ - นามสกุล</div>
          </div>
        </th>
        <td mat-cell *matCellDef="let element">
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">{{ element.userId }}</div>
            <div class="sticky-col-2">
              {{ element.titleNameTh }}&nbsp;{{ element.empeNameTh }}&nbsp;{{
              element.empeLastNameTh
              }}
            </div>
          </div>
        </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="empePosition">
        <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
        <td mat-cell *matCellDef="let element">{{ element.empePosition }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="dept">
        <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.dept }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="stcr">
        <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.stcr }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="grp">
        <th mat-header-cell *matHeaderCellDef>สายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.grp }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a id="edit_11" class="edit-1" (click)="edit_creater(element)" data-toggle="modal" data-target="#object1"
            data-keyboard="false">แก้ไข</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>
</div>
<!-- End creater -->
<br /><br />
<div class="card">
  <label class="creater"><B>ผู้ช่วยจัดทำใบคำขอ (Co-Creater)</B></label>
  <hr />
  <div class="table-responsives">
    <table mat-table [dataSource]="dataSource_co">
      <ng-container matColumnDef="userId" sticky>
        <th mat-header-cell *matHeaderCellDef>
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">รหัสพนักงาน</div>
            <div class="sticky-col-2">ชื่อ - นามสกุล</div>
          </div>
        </th>
        <td mat-cell *matCellDef="let element">
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">{{ element.userId }}</div>
            <div class="sticky-col-2">
              {{ element.titleNameTh }}{{ element.empeNameTh }}&nbsp;{{
              element.empeLastNameTh
              }}
            </div>
          </div>
        </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="empePosition">
        <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
        <td mat-cell *matCellDef="let element">{{ element.empePosition }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="dept">
        <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.dept }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="stcr">
        <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.stcr }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="grp">
        <th mat-header-cell *matHeaderCellDef>สายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.grp }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a id="edit_11" class="edit-1" (click)="edit_creater(element)" data-toggle="modal" data-target="#object1"
            data-keyboard="false">แก้ไข</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns_co"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns_co"></tr>
    </table>
  </div>
</div>
<!-- End Creater_co -->
<br /><br />
<div class="card">
  <label class="creater"><B>ผู้บริหารฝ่าย</B></label>
  <hr />
  <div class="table-responsives">
    <table mat-table [dataSource]="dataSource_department">
      <ng-container matColumnDef="userId" sticky>
        <th mat-header-cell *matHeaderCellDef>
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">รหัสพนักงาน</div>
            <div class="sticky-col-2">ชื่อ - นามสกุล</div>
          </div>
        </th>
        <td mat-cell *matCellDef="let element">
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">{{ element.userId }}</div>
            <div class="sticky-col-2">
              {{ element.titleNameTh }}{{ element.empeNameTh }}&nbsp;{{
              element.empeLastNameTh
              }}
            </div>
          </div>
        </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="empePosition">
        <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
        <td mat-cell *matCellDef="let element">{{ element.empePosition }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="dept">
        <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.dept }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="stcr">
        <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.stcr }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="grp">
        <th mat-header-cell *matHeaderCellDef>สายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.grp }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a id="edit_11" class="edit-1" (click)="edit_creater(element)" data-toggle="modal" data-target="#object1"
            data-keyboard="false">แก้ไข</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns_department"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns_department"></tr>
    </table>
  </div>
</div>
<!-- End department-->
<br /><br />
<div class="card">
  <label class="creater"><B>ผู้บริหารกลุ่ม</B></label>
  <hr />
  <div class="table-responsives">
    <table mat-table [dataSource]="dataSource_group">
      <ng-container matColumnDef="userId" sticky>
        <th mat-header-cell *matHeaderCellDef>
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">รหัสพนักงาน</div>
            <div class="sticky-col-2">ชื่อ - นามสกุล</div>
          </div>
        </th>
        <td mat-cell *matCellDef="let element">
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">{{ element.userId }}</div>
            <div class="sticky-col-2">
              {{ element.titleNameTh }}{{ element.empeNameTh }}&nbsp;{{
              element.empeLastNameTh
              }}
            </div>
          </div>
        </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="empePosition">
        <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
        <td mat-cell *matCellDef="let element">{{ element.empePosition }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="dept">
        <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.dept }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="stcr">
        <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.stcr }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="grp">
        <th mat-header-cell *matHeaderCellDef>สายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.grp }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a id="edit_11" class="edit-1" (click)="edit_creater(element)" data-toggle="modal" data-target="#object1"
            data-keyboard="false">แก้ไข</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns_group"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns_group"></tr>
    </table>
  </div>
</div>
<!-- End group-->
<br /><br />
<div class="card">
  <label class="creater"><B>ผู้บริหารสาย</B></label>
  <hr />
  <div class="table-responsives">
    <table mat-table [dataSource]="dataSource_division">
      <ng-container matColumnDef="userId" sticky>
        <th mat-header-cell *matHeaderCellDef>
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">รหัสพนักงาน</div>
            <div class="sticky-col-2">ชื่อ - นามสกุล</div>
          </div>
        </th>
        <td mat-cell *matCellDef="let element">
          <div class="d-flex sticky-col">
            <div class="sticky-col-1">{{ element.userId }}</div>
            <div class="sticky-col-2">
              {{ element.titleNameTh }}{{ element.empeNameTh }}&nbsp;{{
              element.empeLastNameTh
              }}
            </div>
          </div>
        </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="empePosition">
        <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
        <td mat-cell *matCellDef="let element">{{ element.empePosition }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="dept">
        <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.dept }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="stcr">
        <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.stcr }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="grp">
        <th mat-header-cell *matHeaderCellDef>สายงาน</th>
        <td mat-cell *matCellDef="let element">{{ element.grp }}</td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a id="edit_11" class="edit-1" (click)="edit_creater(element)" data-toggle="modal" data-target="#object1"
            data-keyboard="false">แก้ไข</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns_division"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns_division"></tr>
    </table>
  </div>
</div>
<!-- End division-->
<br /><br />

<!-- Modal 1-->
<div class="modal fade" id="object1" tabindex="-1" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <div style="width: 100%;">
          <img (click)="close_modal()" class="modal-close" src="assets/img/x.png" data-dismiss="modal" />
        </div>
        <div class="header_detail">
          <a>แก้ไขผู้ดำเนินการ</a>
          <br />
          <div>
            <br />
            <label class="step1-header">ขั้นตอนที่ 1. เลือกประเภทผู้ดำเนินการที่ต้องการแก้ไข</label>
          </div>
          <label class="sub-step1">เลือกประเภทผู้ดำเนินการ</label>

          <select class="browser-default form-control sub-step1" (ngModelChange)="addOfficer($event)"
            [(ngModel)]="creater_type">
            <option value="" selected disabled>เลือกประเภทผู้ดำเนินการ</option>
            <option *ngFor="let item of data_type" [ngValue]="item.type">{{
              item.name
              }}</option>
          </select>
          <br />
          <hr />

          <div>
            <br />
            <label class="step1-header">ขั้นตอนที่ 2. ตรวจสอบข้อมูลพนักงาน</label>
          </div>

          <div class="d-flex">
            <div class="step2-1">
              <label class="sub-step1">รหัสพนักงาน</label>
              <input [(ngModel)]="creater_id_officer" class="form-control gray sub-step1" style="height: 48px;"
                placeholder="รหัสพนักงาน" disabled />
            </div>
            <div class="step2-2">
              <label class="sub-step1">ชื่อ - นามสกุล</label>
              <input [(ngModel)]="creater_name" class="form-control gray sub-step1" style="height: 48px;"
                placeholder="ชื่อ - นามสกุล" disabled />
            </div>
          </div>
          <br>
          <div *ngIf="isEmpowerStatus">
            <hr />
            <br />
            <label class="step1-header">ขั้นตอนที่ 3. แนบเอกสารมอบอำนาจ</label>
          </div>
          <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
          <div *ngIf="isEmpowerStatus">
            <div class="row">
              <div class="col-12">
                <label class="head-detal">อัปโหลดเอกสาร</label>
              </div>

              <div class="col-12">
                <div class="dropzone">
                  <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                    (change)="onSelectFile($event); " />
                  <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                  <a style="font-size: 18px; color: #00a6e6;"
                    for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
                </div>
              </div>
              <div class="col-12">
                <div class="table-file">
                  <table mat-table [dataSource]="dataSource_file" class="table-file" style="width: 100% !important;">
                    <!-- Position Column -->
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        <div class="class-name">{{ element.fileName }}</div>
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="delete">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index">
                        <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                          (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                        <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                          (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                        <a class="pipe">|</a>
                        <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
                  </table>
                </div>
              </div>

            </div>
          </div>
        </div>
      </div>




      <div class="footer-modal add-user">
        <div class="add-user-del">
          <a class="del-text" (click)="delete_officer()" data-dismiss="modal">ลบผู้ดำเนินการ</a>
        </div>

        <button class="btn btn-primary add-user-btn" data-dismiss="modal" (click)="save_edit1()"
          [disabled]="allowSave ? false : true">
          บันทึก
        </button>
      </div>
    </div>
  </div>
</div>